DiskStoreType (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.configuration

## Class DiskStoreType

- java.lang.Object
- - org.apache.geode.cache.configuration.DiskStoreType

- All Implemented Interfaces:
    java.io.Serializable, CacheElement, Identifiable<java.lang.String>

      @Experimental
      public class DiskStoreType
      extends java.lang.Object
      implements CacheElement

  A "disk-store" element specifies a DiskStore for persistence.

  Java class for disk-store-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="disk-store-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="disk-dirs" type="{http://geode.apache.org/schema/cache}disk-dirs-type" minOccurs="0"/>
             </sequence>
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="auto-compact" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="compaction-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="allow-force-compaction" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="max-oplog-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="write-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="queue-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="disk-usage-warning-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="disk-usage-critical-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Boolean` | `allowForceCompaction`
    `protected java.lang.Boolean` | `autoCompact`
    `protected java.lang.String` | `compactionThreshold`
    `protected DiskDirsType` | `diskDirs`
    `protected java.lang.String` | `diskUsageCriticalPercentage`
    `protected java.lang.String` | `diskUsageWarningPercentage`
    `protected java.lang.String` | `maxOplogSize`
    `protected java.lang.String` | `name`
    `protected java.lang.String` | `queueSize`
    `protected java.lang.String` | `timeInterval`
    `protected java.lang.String` | `writeBufferSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskStoreType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCompactionThreshold()` Gets the value of the compactionThreshold property.
    `DiskDirsType` | `getDiskDirs()` Gets the value of the diskDirs property.
    `java.lang.String` | `getDiskUsageCriticalPercentage()` Gets the value of the diskUsageCriticalPercentage property.
    `java.lang.String` | `getDiskUsageWarningPercentage()` Gets the value of the diskUsageWarningPercentage property.
    `java.lang.String` | `getId()` Gets the identifier uniquely identifying this Object instance.
    `java.lang.String` | `getMaxOplogSize()` Gets the value of the maxOplogSize property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `java.lang.String` | `getQueueSize()` Gets the value of the queueSize property.
    `java.lang.String` | `getTimeInterval()` Gets the value of the timeInterval property.
    `java.lang.String` | `getWriteBufferSize()` Gets the value of the writeBufferSize property.
    `java.lang.Boolean` | `isAllowForceCompaction()` Gets the value of the allowForceCompaction property.
    `java.lang.Boolean` | `isAutoCompact()` Gets the value of the autoCompact property.
    `void` | `setAllowForceCompaction(java.lang.Boolean value)` Sets the value of the allowForceCompaction property.
    `void` | `setAutoCompact(java.lang.Boolean value)` Sets the value of the autoCompact property.
    `void` | `setCompactionThreshold(java.lang.String value)` Sets the value of the compactionThreshold property.
    `void` | `setDiskDirs(DiskDirsType value)` Sets the value of the diskDirs property.
    `void` | `setDiskUsageCriticalPercentage(java.lang.String value)` Sets the value of the diskUsageCriticalPercentage property.
    `void` | `setDiskUsageWarningPercentage(java.lang.String value)` Sets the value of the diskUsageWarningPercentage property.
    `void` | `setMaxOplogSize(java.lang.String value)` Sets the value of the maxOplogSize property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setQueueSize(java.lang.String value)` Sets the value of the queueSize property.
    `void` | `setTimeInterval(java.lang.String value)` Sets the value of the timeInterval property.
    `void` | `setWriteBufferSize(java.lang.String value)` Sets the value of the writeBufferSize property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.configuration.CacheElement

      `findElement, removeElement`

- - ### Field Detail

    - #### diskDirs

          protected DiskDirsType diskDirs

    - #### name

          protected java.lang.String name

    - #### autoCompact

          protected java.lang.Boolean autoCompact

    - #### compactionThreshold

          protected java.lang.String compactionThreshold

    - #### allowForceCompaction

          protected java.lang.Boolean allowForceCompaction

    - #### maxOplogSize

          protected java.lang.String maxOplogSize

    - #### timeInterval

          protected java.lang.String timeInterval

    - #### writeBufferSize

          protected java.lang.String writeBufferSize

    - #### queueSize

          protected java.lang.String queueSize

    - #### diskUsageWarningPercentage

          protected java.lang.String diskUsageWarningPercentage

    - #### diskUsageCriticalPercentage

          protected java.lang.String diskUsageCriticalPercentage

  - ### Constructor Detail

    - #### DiskStoreType

          public DiskStoreType()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `Identifiable`
      Gets the identifier uniquely identifying this Object instance.

      Specified by:
        `getId` in interface `Identifiable<java.lang.String>`
      Returns:
        an identifier uniquely identifying this Object.

    - #### getDiskDirs

          public DiskDirsType getDiskDirs()

      Gets the value of the diskDirs property. possible object is `DiskDirsType`

    - #### setDiskDirs

          public void setDiskDirs(DiskDirsType value)

      Sets the value of the diskDirs property. allowed object is `DiskDirsType`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property. possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property. allowed object is `String`

    - #### isAutoCompact

          public java.lang.Boolean isAutoCompact()

      Gets the value of the autoCompact property. possible object is `Boolean`

    - #### setAutoCompact

          public void setAutoCompact(java.lang.Boolean value)

      Sets the value of the autoCompact property. allowed object is `Boolean`

    - #### getCompactionThreshold

          public java.lang.String getCompactionThreshold()

      Gets the value of the compactionThreshold property. possible object is `String`

    - #### setCompactionThreshold

          public void setCompactionThreshold(java.lang.String value)

      Sets the value of the compactionThreshold property. allowed object is `String`

    - #### isAllowForceCompaction

          public java.lang.Boolean isAllowForceCompaction()

      Gets the value of the allowForceCompaction property. possible object is `Boolean`

    - #### setAllowForceCompaction

          public void setAllowForceCompaction(java.lang.Boolean value)

      Sets the value of the allowForceCompaction property. allowed object is `Boolean`

    - #### getMaxOplogSize

          public java.lang.String getMaxOplogSize()

      Gets the value of the maxOplogSize property. possible object is `String`

    - #### setMaxOplogSize

          public void setMaxOplogSize(java.lang.String value)

      Sets the value of the maxOplogSize property. allowed object is `String`

    - #### getTimeInterval

          public java.lang.String getTimeInterval()

      Gets the value of the timeInterval property. possible object is `String`

    - #### setTimeInterval

          public void setTimeInterval(java.lang.String value)

      Sets the value of the timeInterval property. allowed object is `String`

    - #### getWriteBufferSize

          public java.lang.String getWriteBufferSize()

      Gets the value of the writeBufferSize property. possible object is `String`

    - #### setWriteBufferSize

          public void setWriteBufferSize(java.lang.String value)

      Sets the value of the writeBufferSize property. allowed object is `String`

    - #### getQueueSize

          public java.lang.String getQueueSize()

      Gets the value of the queueSize property. possible object is `String`

    - #### setQueueSize

          public void setQueueSize(java.lang.String value)

      Sets the value of the queueSize property. allowed object is `String`

    - #### getDiskUsageWarningPercentage

          public java.lang.String getDiskUsageWarningPercentage()

      Gets the value of the diskUsageWarningPercentage property. possible object is `String`

    - #### setDiskUsageWarningPercentage

          public void setDiskUsageWarningPercentage(java.lang.String value)

      Sets the value of the diskUsageWarningPercentage property. allowed object is `String`

    - #### getDiskUsageCriticalPercentage

          public java.lang.String getDiskUsageCriticalPercentage()

      Gets the value of the diskUsageCriticalPercentage property. possible object is `String`

    - #### setDiskUsageCriticalPercentage

          public void setDiskUsageCriticalPercentage(java.lang.String value)

      Sets the value of the diskUsageCriticalPercentage property. allowed object is `String`